Debian Bug report logs - #283899
nvidia-glx: nVidia splash screen remains on screen

version graph

Package: nvidia-glx; Maintainer for nvidia-glx is Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>; Source for nvidia-glx is src:nvidia-graphics-drivers.

Reported by: Jean Pierre Rupp <jpierre@cantv.net>

Date: Thu, 2 Dec 2004 03:48:04 UTC

Severity: important

Found in version 1.0.6629+1-1

Fixed in version 1.0.7174-3

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#283899; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Jean Pierre Rupp <jpierre@cantv.net>:
New Bug report received and forwarded. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jean Pierre Rupp <jpierre@cantv.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nvidia-glx: nVidia splash screen remains on screen
Date: Wed, 01 Dec 2004 23:35:16 -0400
Package: nvidia-glx
Version: 1.0.6629+1-1
Severity: important

When the computer starts using GDM, it will not stop displaying the
nVidia splash image (the large nVidia logo on a white background). It
will however show the mouse cursor and this mouse cursor changes over
where there are supposedly text widgets.

I did compile my own 2.6.9 Kernel without any patches for 586
architectures. I used the official Kernel sources, nvidia-kernel-source and make-kpkg.

Thank you very much.

-- Package-specific info:
uname -r:
Linux marte 2.6.9-586 #1 Wed Dec 1 11:09:33 VET 2004 i686 GNU/Linux


/proc/version:
Linux version 2.6.9-586 (root@marte) (gcc versión 3.3.5 (Debian 1:3.3.5-2)) #1 Wed Dec 1 11:09:33 VET 2004


0000:01:00.0 VGA compatible controller: nVidia Corporation NV18 [GeForce4 MX 4000 AGP 8x] (rev c1)


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-586
Locale: LANG=es_VE.UTF-8, LC_CTYPE=es_VE.UTF-8 (charmap=UTF-8)

Versions of packages nvidia-glx depends on:
ii  libc6                2.3.2.ds1-18        GNU C Library: Shared libraries an
ii  libx11-6             4.3.0.dfsg.1-8      X Window System protocol client li
ii  libxext6             4.3.0.dfsg.1-8      X Window System miscellaneous exte
ii  nvidia-kernel-2.6.9- 1.0.6629+1-1+jpr.01 NVIDIA binary kernel module for Li
ii  xlibmesa-glu [libglu 4.3.0.dfsg.1-8      Mesa OpenGL utility library [XFree
ii  xlibs                4.3.0.dfsg.1-8      X Window System client libraries m
ii  xserver-common       4.3.0.dfsg.1-8      files and utilities common to all 

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#283899; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to J G Miller <miller@yoyo.ORG>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #10 received at 283899@bugs.debian.org (full text, mbox):

From: J G Miller <miller@yoyo.ORG>
To: Debian Bug Tracking System <283899@bugs.debian.ORG>
Subject: latest nvidia driver causes X startup to hang on Nvidia splash screen
Date: Thu, 09 Dec 2004 17:47:46 +0100
================================================================================

I am having exactly the same problem as described in this bug report, although
use wdm as the window manager.

I ascertained that the problem was being caused by the latest nvidia driver
because on changing the entry in the /etc/XF86Config file for the driver
from nvidia to the non proprietary nv driver, startup proceeds as normal,
but obviously I no longer have the benefit of hardware accelerated performance.


ii  nvidia-glx                   1.0.6629+1-1            NVIDIA binary XFree86 4.x driver
ii  nvidia-glx-dev               1.0.6629+1-1            NVIDIA binary XFree86 4.x driver development files
ii  nvidia-kernel-2.4.27         1.0.6629+1-1+wolverine  NVIDIA binary kernel module for Linux 2.4.27
ii  nvidia-kernel-common         1.0.6629+1              NVIDIA binary kernel module common files
ii  nvidia-kernel-source         1.0.6629+1-1            NVIDIA binary kernel module source
ii  nvidia-settings              1.0+2-3                 Tool of configuring the NVIDIA graphics driver

ii  xserver-common               4.3.0.dfsg.1-8          files and utilities common to all X servers
ii  xserver-xfree86              4.3.0.dfsg.1-8          the XFree86 X server

ii  libc6                        2.3.2.ds1-19            GNU C Library: Shared libraries and Timezone data

ii  libx11-6                     4.3.0.dfsg.1-8          X Window System protocol client library
ii  libx11-dev                   4.3.0.dfsg.1-8          X Window System protocol client library development files

ii  libxext6                     4.3.0.dfsg.1-8          X Window System miscellaneous extension library
ii  libxi-dev                    4.3.0.dfsg.1-8          X Window System Input extension library development files

ii  xlibmesa-glu                 4.3.0.dfsg.1-8          Mesa OpenGL utility library [XFree86]
ii  xlibmesa-glu-dev             4.3.0.dfsg.1-8          Mesa OpenGL utility library development files [XFree86]



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#283899; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to J G Miller <miller@yoyo.ORG>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #15 received at 283899@bugs.debian.org (full text, mbox):

From: J G Miller <miller@yoyo.ORG>
To: Debian Bug Tracking System <283899@bugs.debian.ORG>
Subject: nvidia-glx: nVidia splash screen remains on screen
Date: Fri, 10 Dec 2004 18:31:14 +0100
================================================================================

I came across the suggestion of Mike McGavin in nvidia-glx bug report #264318

<http://bugs.debian.ORG/cgi-bin/bugreport.cgi?bug=264318>

concerning a possible solution to the non functionality of the new
nvidia-glx driver version  1.0.6629+1-1 due to the remains of the previous version

           1) Uninstall the old nvidia-glx
           2) Remove /usr/lib/tls (it should only contain at most links to
              nvidia-libs)
           3) Remove /usr/lib/nvidia
           4) Boot into runlevel 2.
           5) Install the newer nvidia-glx package.

I first did a dpkg --purge nvidia-glx nvidia-glx-dev,
then found that /usr/lib/tls did not exist, and that
/usr/lib/nvidia had been completely removed.

I reinstalled nvidia-glx and nvidia-glx-dev 1.0.662+1-1
and found that /usr/lib/tls now exists but is empty.

However on starting up X, the same problem of X staying
on the splash screen remains.

Are there any other checks and tests which can be done
to resolve this problem?



Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#283899; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to David Everly <deckrider@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #20 received at 283899@bugs.debian.org (full text, mbox):

From: David Everly <david.everly@adelphia.net>
To: 283899@bugs.debian.org
Subject: nVidia splash screen remains on screen
Date: Sun, 23 Jan 2005 13:54:15 -0700
[Message part 1 (text/plain, inline)]
I have exactly this problem on one of my machines, although not on
another, even though identical packages are installed:

nvidia-glx/sarge uptodate 1.0.6629+1-1
nvidia-kernel-2.6.8-686-mppe/sarge uptodate 1.0.6629+1-1+2.6.8-12
nvidia-kernel-common/testing uptodate 1.0.6629+1
nvidia-kernel-2.6.8-686-mppe/sarge uptodate 1.0.6629+1-1+2.6.8-12

This used to work on both machines when identical packages were
installed, but at the earlier version (1.0.6111).

However, I know that there are different video cards on each the machines, so
here they are, in case it gives someone a clue.  Perhaps others with
non-working systems can see if their cards are similar to the card on my
system that does not work.

First the machine that works:

lspci -vv:

0000:01:00.0 VGA compatible controller: nVidia Corporation NV11 [GeForce2 MX/MX 400] (rev a1) (prog-if 00 [VGA])
        Subsystem: CardExpert Technology: Unknown device 0001
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 248 (1250ns min, 250ns max)
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at d8000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at d0000000 (32-bit, prefetchable) [size=128M]
        Capabilities: [60] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [44] AGP version 2.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA- ITACoh- GART64- HTrans- 64bit- FW+ AGP3- Rate=x1,x2,x4
                Command: RQ=32 ArqSz=0 Cal=0 SBA- AGP+ GART64- 64bit- FW- Rate=x2

lspci -vvn:

ubsystem: 10b0:0001
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 248 (1250ns min, 250ns max)
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at d8000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at d0000000 (32-bit, prefetchable) [size=128M]
        Capabilities: [60] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [44] AGP version 2.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA- ITACoh- GART64- HTrans- 64bit- FW+ AGP3- Rate=x1,x2,x4
                Command: RQ=32 ArqSz=0 Cal=0 SBA- AGP+ GART64- 64bit- FW- Rate=x2

Finally, the machine that does NOT work:

lspci -vv:

0000:01:00.0 VGA compatible controller: nVidia Corporation NV4 [RIVA TNT] (rev 04) (prog-if 00 [VGA])
        Subsystem: CardExpert Technology: Unknown device 0000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (1250ns min, 250ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at d2000000 (32-bit, prefetchable) [size=16M]
        Capabilities: [60] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [44] AGP version 1.0
                Status: RQ=16 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3- Rate=x1,x2
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

lspci -vvn:

0000:01:00.0 0300: 10de:0020 (rev 04)
        Subsystem: 10b0:0000
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (1250ns min, 250ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at d2000000 (32-bit, prefetchable) [size=16M]
        Capabilities: [60] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [44] AGP version 1.0
                Status: RQ=16 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW- AGP3- Rate=x1,x2
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>


Perhaps others with non-working systems can see if their cards are
similar to the card on my system that does not work.

-- 
Encrypted Mail Preferred:
    Key ID:  8527B9AF
    Key Fingerprint:  E1B6 40B6 B73F 695E 0D3B  644E 6427 DD74 8527 B9AF
    Information:  http://www.gnupg.org/
                                                                                
ASCII ribbon campaign:
()  against HTML email
/\  against Microsoft attachments
    Information:  http://www.expita.com/nomime.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#283899; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to David Everly <deckrider@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #25 received at 283899@bugs.debian.org (full text, mbox):

From: David Everly <david.everly@adelphia.net>
To: 283899@bugs.debian.org
Subject: nVidia splash screen remains on screen
Date: Mon, 24 Jan 2005 05:38:18 -0700
[Message part 1 (text/plain, inline)]
I have found the following:

   http://www.nvnews.net/vbulletin/showthread.php?t=43321

Which includes this quote from zander at nvidia:

   1.0-6629 is incompatible with some older GPUs; this is a known
   problem, and NVIDIA hopes to have it resolved in the next driver
   release. Both 1.0-6111 and 1.0-6629 need to be patched to work with
   Linux 2.6.10 (Linux 2.6.9+ for 1.0-6111). Please stick to your
   working configuration until the problem with 1.0-6629 and your GPU
   has been addressed.

Given that the stock kernel in Sarge is currently 2.6.8, I wonder if
version 1.0-6111 should be what needs to be in Sarge at this time?

Or perhaps have both versions available so that one could choose, based
on the age of the video card and the desired kernel?

-- 
Encrypted Mail Preferred:
    Key ID:  8527B9AF
    Key Fingerprint:  E1B6 40B6 B73F 695E 0D3B  644E 6427 DD74 8527 B9AF
    Information:  http://www.gnupg.org/
                                                                                
ASCII ribbon campaign:
()  against HTML email
/\  against Microsoft attachments
    Information:  http://www.expita.com/nomime.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#283899; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to David Everly <deckrider@gmail.com>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #30 received at 283899@bugs.debian.org (full text, mbox):

From: David Everly <deckrider@gmail.com>
To: 283899@bugs.debian.org
Subject: Re: nVidia splash screen remains on screen
Date: Thu, 21 Apr 2005 22:51:21 -0600
[Message part 1 (text/plain, inline)]
I had earlier experienced this problem but it is now gone in 1.0.7174-3.

On Mon, Jan 24, 2005 at 05:38:18AM -0700,  wrote:
> I have found the following:
> 
>    http://www.nvnews.net/vbulletin/showthread.php?t=43321
> 
> Which includes this quote from zander at nvidia:
> 
>    1.0-6629 is incompatible with some older GPUs; this is a known
>    problem, and NVIDIA hopes to have it resolved in the next driver
>    release. Both 1.0-6111 and 1.0-6629 need to be patched to work with
>    Linux 2.6.10 (Linux 2.6.9+ for 1.0-6111). Please stick to your
>    working configuration until the problem with 1.0-6629 and your GPU
>    has been addressed.
> 
> Given that the stock kernel in Sarge is currently 2.6.8, I wonder if
> version 1.0-6111 should be what needs to be in Sarge at this time?
> 
> Or perhaps have both versions available so that one could choose, based
> on the age of the video card and the desired kernel?

-- 
Encrypted Mail Preferred:
    Key ID:  8527B9AF
    Key Fingerprint:  E1B6 40B6 B73F 695E 0D3B  644E 6427 DD74 8527 B9AF
    Information:  http://www.gnupg.org/
                                                                                
ASCII ribbon campaign:
()  against HTML email
/\  against Microsoft attachments
    Information:  http://www.expita.com/nomime.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Randall Donald <rdonald@debian.org>:
Bug#283899; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Randall Donald <randy@khensu.org>:
Extra info received and forwarded to list. Copy sent to Randall Donald <rdonald@debian.org>. Full text and rfc822 format available.

Message #35 received at 283899@bugs.debian.org (full text, mbox):

From: Randall Donald <randy@khensu.org>
To: 283899-submitter@bugs.debian.org, 283899@bugs.debian.org
Subject: does this bug still happen?
Date: Thu, 27 Oct 2005 11:19:41 -0700
does this problem still exist under the current drivers?

-- 
--------------------------------------------
Randall Donald             randy@khensu.org
http://www.khensu.org    rdonald@debian.org
Programmer/Debian Developer GnuPG: 6C27DEAB                     
--------------------------------------------




Message sent on to Jean Pierre Rupp <jpierre@cantv.net>:
Bug#283899. Full text and rfc822 format available.

Information stored:
Bug#283899; Package nvidia-glx. Full text and rfc822 format available.

Acknowledgement sent to Jean Pierre Rupp <jpierre@xeno-genesis.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #43 received at 283899-quiet@bugs.debian.org (full text, mbox):

From: Jean Pierre Rupp <jpierre@xeno-genesis.com>
To: Randall Donald <randy@khensu.org>, 283899-quiet@bugs.debian.org
Subject: Re: Bug#283899: does this bug still happen?
Date: Thu, 27 Oct 2005 17:59:09 -0400
El jue, 27-10-2005 a las 11:19 -0700, Randall Donald escribió:
> does this problem still exist under the current drivers?

I reported the bug, but I don't currently have an nVidia video card
anymore, so I'm not able to test. It was an old nVidia card anyways
(TNT).

I'll see if I can get someone to lend me a card to test again.

Thank you very much for your great work!





Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Sat, 08 May 2010 05:03:05 GMT) Full text and rfc822 format available.

Notification sent to Jean Pierre Rupp <jpierre@cantv.net>:
Bug acknowledged by developer. (Sat, 08 May 2010 05:03:05 GMT) Full text and rfc822 format available.

Message #48 received at 283899-done@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 283899-done@bugs.debian.org
Subject: Re: Bug#283899: does this bug still happen?
Date: Fri, 07 May 2010 22:01:14 -0700
Version: 1.0.7174-3

This problem appears to have been fixed in 1.0.7174-3 according to another
commenter on the bug.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Jun 2010 07:45:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:09:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.